GNU bug report logs - #38459
[PATCH] gnu: (cross-gcc-arguments|gcc-boot0): Enable 128 bit long double for POWER9.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: dftxbs3e <dftxbs3e@HIDDEN>; Keywords: patch; dated Mon, 2 Dec 2019 19:36:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Dec 2019 02:34:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 07 21:34:13 2019
Received: from localhost ([127.0.0.1]:49987 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1idmOi-0005rX-Ts
	for submit <at> debbugs.gnu.org; Sat, 07 Dec 2019 21:34:13 -0500
Received: from lists.gnu.org ([209.51.188.17]:60191)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dftxbs3e@HIDDEN>) id 1idmOg-0005rP-NE
 for submit <at> debbugs.gnu.org; Sat, 07 Dec 2019 21:34:11 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:58448)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <dftxbs3e@HIDDEN>) id 1idfkc-00082P-Je
 for guix-patches@HIDDEN; Sat, 07 Dec 2019 14:28:23 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: ***
X-Spam-Status: No, score=3.5 required=5.0 tests=BAYES_20,FREEMAIL_FROM,
 HK_RANDOM_ENVFROM,HK_RANDOM_FROM,RCVD_IN_DNSWL_NONE,
 RECEIVED_FROM_WINDOWS_HOST autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <dftxbs3e@HIDDEN>) id 1idfkb-00078o-CU
 for guix-patches@HIDDEN; Sat, 07 Dec 2019 14:28:22 -0500
Received: from smtp3-g21.free.fr ([212.27.42.3]:19233)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <dftxbs3e@HIDDEN>) id 1idfkb-00077b-0u
 for guix-patches@HIDDEN; Sat, 07 Dec 2019 14:28:21 -0500
Received: from [IPv6:2a01:e0a:2a2:1590:3130:d4af:7a6d:562c] (unknown
 [IPv6:2a01:e0a:2a2:1590:3130:d4af:7a6d:562c])
 by smtp3-g21.free.fr (Postfix) with ESMTP id 7BB8A13F89A
 for <guix-patches@HIDDEN>; Sat,  7 Dec 2019 20:28:18 +0100 (CET)
Subject: Re: [bug#38459] [PATCH] gnu: (cross-gcc-arguments|gcc-boot0): Enable
 128 bit long double for POWER9.
To: guix-patches@HIDDEN
References: <9d5aee30-1cfe-434b-f191-3bbd06caa319@HIDDEN>
 <87h82its9y.fsf@nckx> <0e9bb696-0165-82c8-799b-58ae72e382cc@HIDDEN>
From: dftxbs3e <dftxbs3e@HIDDEN>
Message-ID: <07dcfc64-86c2-df79-9bf9-bf87b2568267@HIDDEN>
Date: Sat, 7 Dec 2019 20:28:18 +0100
User-Agent: Mozilla/5.0 (X11; Linux ppc64le; rv:68.0) Gecko/20100101
 Thunderbird/68.1.1
MIME-Version: 1.0
In-Reply-To: <0e9bb696-0165-82c8-799b-58ae72e382cc@HIDDEN>
Content-Type: multipart/mixed; boundary="------------1AF078232365A1FBB786A2DD"
Content-Language: en-US
X-detected-operating-system: by eggs.gnu.org: Windows NT kernel [generic]
 [fuzzy]
X-Received-From: 212.27.42.3
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is a multi-part message in MIME format.
--------------1AF078232365A1FBB786A2DD
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

I could figure it out myself.

Attached new patches!

On 12/2/19 9:03 PM, dftxbs3e wrote:
> Yes, it should certainly be guarded by an if to avoid breaking other=20
> platforms, even if it shouldnt hurt much.
>
> Issue is I do not know Scheme enough to figure out the syntax for an=20
> inline if like that. So I would appreciate if you could help me on that=
?
>
> On 12/2/19 8:57 PM, Tobias Geerinckx-Rice via Guix-patches via wrote:
>> dftxbs3e,
>>
>> dftxbs3e =E5=86=99=E9=81=93=EF=BC=9A
>>> This is to be applied against core-updates and fixes:
>>>
>>> $ guix build --target=3Dpowerpc64le-linux-gnu bootstrap-tarballs
>>
>> Thanks for sending this in!=C2=A0 I'll be sure to merge it if no one e=
lse=20
>> has objections.
>>
>> I'm really not familiar with this part of Guix, though.=C2=A0 I'd naiv=
ely=20
>> expect this to be guarded with an (if =E2=80=A6) so it only applies to=
=20
>> POWER.=C2=A0 (Why) is that not possible or desirable?
>>
>> Kind regards,
>>
>> T G-R
>
>
>

--------------1AF078232365A1FBB786A2DD
Content-Type: text/x-patch; charset=UTF-8;
 name="0002-gnu-cross-gcc-arguments-Enable-128-bit-long-double-f.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename*0="0002-gnu-cross-gcc-arguments-Enable-128-bit-long-double-f.pa";
 filename*1="tch"

From 0628808608a0b0851de913a88d626234358100c5 Mon Sep 17 00:00:00 2001
From: dftxbs3e <dftxbs3e@HIDDEN>
Date: Sat, 7 Dec 2019 20:27:12 +0100
Subject: [PATCH 2/2] gnu: cross-gcc-arguments: Enable 128 bit long double for
 POWER9.

---
 gnu/packages/cross-base.scm | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/gnu/packages/cross-base.scm b/gnu/packages/cross-base.scm
index 13237fb8a8..18dc1f592b 100644
--- a/gnu/packages/cross-base.scm
+++ b/gnu/packages/cross-base.scm
@@ -150,6 +150,11 @@ base compiler and using LIBC (which may be either a libc package or #f.)"
                                "--disable-decimal-float" ;would need libc
                                "--disable-libcilkrts"
 
+                              ,@(if (equal? "powerpc64le-linux-gnu" target)
+                                   ;; On POWER9 (little endian) glibc needs the 128 bit long double type.
+                                   '("--with-long-double-128")
+                                   '())
+
                                ;; When target is any OS other than 'none' these
                                ;; libraries will fail if there is no libc
                                ;; present. See
-- 
2.21.0


--------------1AF078232365A1FBB786A2DD
Content-Type: text/x-patch; charset=UTF-8;
 name="0001-gnu-gcc-boot0-Enable-128-bit-long-double-for-POWER9.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename*0="0001-gnu-gcc-boot0-Enable-128-bit-long-double-for-POWER9.pat";
 filename*1="ch"

From 66bcaaebe1761499a60518dc83975006aa30b58f Mon Sep 17 00:00:00 2001
From: dftxbs3e <dftxbs3e@HIDDEN>
Date: Sat, 7 Dec 2019 20:26:51 +0100
Subject: [PATCH 1/2] gnu: gcc-boot0: Enable 128 bit long double for POWER9.

---
 gnu/packages/commencement.scm | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/gnu/packages/commencement.scm b/gnu/packages/commencement.scm
index 8bf7704598..a466a383bd 100644
--- a/gnu/packages/commencement.scm
+++ b/gnu/packages/commencement.scm
@@ -1576,6 +1576,11 @@ exec " gcc "/bin/" program
                            "--disable-shared"
                            "--enable-languages=c,c++"
 
+                           ,@(if (equal? "powerpc64le-linux-gnu" boot-triplet)
+                               ;; On POWER9 (little endian) glibc needs the 128 bit long double type.
+                               '("--with-long-double-128")
+                               '())
+
                            ;; libstdc++ cannot be built at this stage
                            ;; ("Link tests are not allowed after
                            ;; GCC_NO_EXECUTABLES.").
-- 
2.21.0


--------------1AF078232365A1FBB786A2DD--




Information forwarded to guix-patches@HIDDEN:
bug#38459; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Dec 2019 20:11:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 02 15:11:00 2019
Received: from localhost ([127.0.0.1]:38983 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ibs27-00078m-Mj
	for submit <at> debbugs.gnu.org; Mon, 02 Dec 2019 15:11:00 -0500
Received: from lists.gnu.org ([209.51.188.17]:60673)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dftxbs3e@HIDDEN>) id 1ibrub-0006xv-V7
 for submit <at> debbugs.gnu.org; Mon, 02 Dec 2019 15:03:14 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:43072)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <dftxbs3e@HIDDEN>) id 1ibrua-000620-Su
 for guix-patches@HIDDEN; Mon, 02 Dec 2019 15:03:13 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: ****
X-Spam-Status: No, score=4.3 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HK_RANDOM_ENVFROM,HK_RANDOM_FROM,RECEIVED_FROM_WINDOWS_HOST
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <dftxbs3e@HIDDEN>) id 1ibruZ-0003H0-RL
 for guix-patches@HIDDEN; Mon, 02 Dec 2019 15:03:12 -0500
Received: from smtp3-g21.free.fr ([2a01:e0c:1:1599::12]:6845)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <dftxbs3e@HIDDEN>) id 1ibruY-0003Dz-8m
 for guix-patches@HIDDEN; Mon, 02 Dec 2019 15:03:11 -0500
Received: from [IPv6:2a01:e0a:2a2:1590:3130:d4af:7a6d:562c] (unknown
 [IPv6:2a01:e0a:2a2:1590:3130:d4af:7a6d:562c])
 by smtp3-g21.free.fr (Postfix) with ESMTP id E557313F8C8
 for <guix-patches@HIDDEN>; Mon,  2 Dec 2019 21:03:06 +0100 (CET)
Subject: Re: [bug#38459] [PATCH] gnu: (cross-gcc-arguments|gcc-boot0): Enable
 128 bit long double for POWER9.
To: guix-patches@HIDDEN
References: <9d5aee30-1cfe-434b-f191-3bbd06caa319@HIDDEN>
 <87h82its9y.fsf@nckx>
From: dftxbs3e <dftxbs3e@HIDDEN>
Message-ID: <0e9bb696-0165-82c8-799b-58ae72e382cc@HIDDEN>
Date: Mon, 2 Dec 2019 21:03:06 +0100
User-Agent: Mozilla/5.0 (X11; Linux ppc64le; rv:68.0) Gecko/20100101
 Thunderbird/68.1.1
MIME-Version: 1.0
In-Reply-To: <87h82its9y.fsf@nckx>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: Windows NT kernel [generic]
 [fuzzy]
X-Received-From: 2a01:e0c:1:1599::12
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 02 Dec 2019 15:10:59 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Yes, it should certainly be guarded by an if to avoid breaking other=20
platforms, even if it shouldnt hurt much.

Issue is I do not know Scheme enough to figure out the syntax for an=20
inline if like that. So I would appreciate if you could help me on that?

On 12/2/19 8:57 PM, Tobias Geerinckx-Rice via Guix-patches via wrote:
> dftxbs3e,
>
> dftxbs3e =E5=86=99=E9=81=93=EF=BC=9A
>> This is to be applied against core-updates and fixes:
>>
>> $ guix build --target=3Dpowerpc64le-linux-gnu bootstrap-tarballs
>
> Thanks for sending this in!=C2=A0 I'll be sure to merge it if no one el=
se=20
> has objections.
>
> I'm really not familiar with this part of Guix, though.=C2=A0 I'd naive=
ly=20
> expect this to be guarded with an (if =E2=80=A6) so it only applies to =
POWER.=C2=A0=20
> (Why) is that not possible or desirable?
>
> Kind regards,
>
> T G-R




Information forwarded to guix-patches@HIDDEN:
bug#38459; Package guix-patches. Full text available.

Message received at 38459 <at> debbugs.gnu.org:


Received: (at 38459) by debbugs.gnu.org; 2 Dec 2019 19:57:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 02 14:57:25 2019
Received: from localhost ([127.0.0.1]:38970 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ibroz-0006nn-1A
	for submit <at> debbugs.gnu.org; Mon, 02 Dec 2019 14:57:25 -0500
Received: from tobias.gr ([80.241.217.52]:38906)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1ibrov-0006nZ-EW
 for 38459 <at> debbugs.gnu.org; Mon, 02 Dec 2019 14:57:23 -0500
Received: by tobias.gr (OpenSMTPD) with ESMTP id 502990cf
 for <38459 <at> debbugs.gnu.org>; Mon, 2 Dec 2019 19:57:19 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=tobias.gr; h=from:to
 :subject:references:in-reply-to:date:message-id:mime-version
 :content-type; s=2018; i=me@HIDDEN; bh=xhquUCYjQm7rnHbromnIk6
 3OCmajM/RXZBuQbPFrR6U=; b=CFN/ZpJt2211cHpONXgBPmGd5M20reQlftGI7g
 vwu0uZP5KPKfuV2NJsDCysDcvx+EzPm380hrtN7bhW8BA2QRxLcXhaBUYtZuLWXs
 Q6MtjL7zd4h9n72b3fvXFaAkhGp3eBYqIbY/6hmHBcG6aHbgI2qIF3CscF7pmrD5
 7kL5c1Vvl8IM1rvSg2ncxU1v8NZimW8f/N19mbKTa3Ny53uSFfnYyAUrEUMzgm7/
 sPrkBd8LkQ0oP9fompZc0IhCq9PuCrQ1+foK4hzbs6Y1cE4ZEyq1vZpQD5ExNSc2
 NfPgFlWlImnk+lz1YasMKcyGTHDhvWMsHatfhvw+zuja1+9g==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id d531386b
 (TLSv1.3:TLS_AES_256_GCM_SHA384:256:NO) for <38459 <at> debbugs.gnu.org>;
 Mon, 2 Dec 2019 19:57:18 +0000 (UTC)
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: 38459 <at> debbugs.gnu.org
Subject: Re: [bug#38459] [PATCH] gnu: (cross-gcc-arguments|gcc-boot0): Enable
 128 bit long double for POWER9.
References: <9d5aee30-1cfe-434b-f191-3bbd06caa319@HIDDEN>
In-reply-to: <9d5aee30-1cfe-434b-f191-3bbd06caa319@HIDDEN>
Date: Mon, 02 Dec 2019 20:57:13 +0100
Message-ID: <87h82its9y.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38459
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

dftxbs3e,

dftxbs3e =E5=86=99=E9=81=93=EF=BC=9A
> This is to be applied against core-updates and fixes:
>
> $ guix build --target=3Dpowerpc64le-linux-gnu bootstrap-tarballs

Thanks for sending this in!  I'll be sure to merge it if no one=20
else has objections.

I'm really not familiar with this part of Guix, though.  I'd=20
naively expect this to be guarded with an (if =E2=80=A6) so it only=20
applies to POWER.  (Why) is that not possible or desirable?

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEfo+u0AlEeO9y5k0W2Imw8BjFSTwFAl3lbJkACgkQ2Imw8BjF
STxwORAAileDBPaaiYhdFu37sCcBQlE7Ays+tgR2BL3DnQh0qdUYFJgciXNQTpFK
TbJ1TwwsvU7chjkrhQCkBzNvaKA7ZLMst0l6XblTTtl1qLR+ylR8Qti9pCRrg763
vp1Ss3MQqgYMLLjziTyx+u4L+xwiXwjx4wEPhixou6clCRqUyvERs89AJM5//e2l
G3ywD563U1zajJbSuEk2eU6GKdYd9w/W/WvBbxRCetPXfcrjjRODRPaINnlt0K6z
T3keriUnJP67LKK7dmqz5r0lfllSZ6n0GwJe+9L/QraaY5blQgpy6GGWJBNmWZ1r
ippo8UW/xBZ++d0fAjL8cNjuTbxaswHFQbCJalWZ78tsfyuHOcEHgZoNkhhuNCbo
v3wYBT6m3b2Qxrjxa2DA81O8oucuODwIw9q+4cMbeEvIuORRhR23bUWeiOlIuRrT
N6qQLDupnvO2u3aNXB/qW31VALWIERdLtBb7O7bifzn5ICrAt1RJEjx9CLtRMirn
a7V3t2V32NnoLkTGdgOd9yIZZKNIMUF0kqTw2XEhqBlU3tD1Mt2qHRc6T4R8l0tw
0gSqeO3hzzRavnX8dP0RByuY88LVBTDDNNXwcBYJl4IcSRr5t82evYtyyoEvw5up
7ZEhvRS5JgXaG141hMwurpIH8pmkUrM+ewiNmRME+JsFghLevSU=
=aEer
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#38459; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Dec 2019 19:35:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 02 14:35:30 2019
Received: from localhost ([127.0.0.1]:38960 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ibrTk-0006IC-PS
	for submit <at> debbugs.gnu.org; Mon, 02 Dec 2019 14:35:30 -0500
Received: from lists.gnu.org ([209.51.188.17]:38773)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dftxbs3e@HIDDEN>) id 1ibrFP-0005uE-Th
 for submit <at> debbugs.gnu.org; Mon, 02 Dec 2019 14:20:40 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:39108)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <dftxbs3e@HIDDEN>) id 1ibrFN-0003O5-Rm
 for guix-patches@HIDDEN; Mon, 02 Dec 2019 14:20:39 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: ***
X-Spam-Status: No, score=3.6 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
 HK_RANDOM_ENVFROM,HK_RANDOM_FROM,RCVD_IN_DNSWL_NONE,
 RECEIVED_FROM_WINDOWS_HOST,SPOOFED_FREEMAIL autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <dftxbs3e@HIDDEN>) id 1ibrFM-00006J-OG
 for guix-patches@HIDDEN; Mon, 02 Dec 2019 14:20:37 -0500
Received: from smtp3-g21.free.fr ([212.27.42.3]:59337)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <dftxbs3e@HIDDEN>) id 1ibrFK-0008TD-Qd
 for guix-patches@HIDDEN; Mon, 02 Dec 2019 14:20:36 -0500
Received: from [IPv6:2a01:e0a:2a2:1590:3130:d4af:7a6d:562c] (unknown
 [IPv6:2a01:e0a:2a2:1590:3130:d4af:7a6d:562c])
 by smtp3-g21.free.fr (Postfix) with ESMTP id 8687B13F8B9
 for <guix-patches@HIDDEN>; Mon,  2 Dec 2019 20:20:31 +0100 (CET)
To: guix-patches@HIDDEN
From: dftxbs3e <dftxbs3e@HIDDEN>
Subject: [PATCH] gnu: (cross-gcc-arguments|gcc-boot0): Enable 128 bit long
 double for POWER9.
Message-ID: <9d5aee30-1cfe-434b-f191-3bbd06caa319@HIDDEN>
Date: Mon, 2 Dec 2019 20:20:31 +0100
User-Agent: Mozilla/5.0 (X11; Linux ppc64le; rv:68.0) Gecko/20100101
 Thunderbird/68.1.1
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="------------261AF8478D583322BB67692C"
Content-Language: en-US
X-detected-operating-system: by eggs.gnu.org: Windows NT kernel [generic]
 [fuzzy]
X-Received-From: 212.27.42.3
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hello, This is to be applied against core-updates and fixes:
 $ guix build --target=powerpc64le-linux-gnu bootstrap-tarballs 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.6 HK_RANDOM_ENVFROM      Envelope sender username looks random
 1.0 HK_RANDOM_FROM         From username looks random
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (dftxbs3e[at]free.fr)
 0.0 SPF_NONE               SPF: sender does not publish an SPF Record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
 medium trust [209.51.188.17 listed in list.dnswl.org]
 2.0 SPOOFED_FREEMAIL       No description available.
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 02 Dec 2019 14:35:27 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is a multi-part message in MIME format.
--------------261AF8478D583322BB67692C
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit

Hello,

This is to be applied against core-updates and fixes:

$ guix build --target=powerpc64le-linux-gnu bootstrap-tarballs

dftxbs3e


--------------261AF8478D583322BB67692C
Content-Type: text/x-patch; charset=UTF-8;
 name="0002-gnu-cross-gcc-arguments-Enable-128-bit-long-double-f.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename*0="0002-gnu-cross-gcc-arguments-Enable-128-bit-long-double-f.pa";
 filename*1="tch"

From dcbd3a812038fbc1a229836a850f529aa35b45c8 Mon Sep 17 00:00:00 2001
From: dftxbs3e <dftxbs3e@HIDDEN>
Date: Mon, 2 Dec 2019 20:02:24 +0100
Subject: [PATCH 2/2] gnu: cross-gcc-arguments: Enable 128 bit long double for
 POWER9.

---
 gnu/packages/cross-base.scm | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/gnu/packages/cross-base.scm b/gnu/packages/cross-base.scm
index 13237fb8a8..e60a8ed03a 100644
--- a/gnu/packages/cross-base.scm
+++ b/gnu/packages/cross-base.scm
@@ -150,6 +150,9 @@ base compiler and using LIBC (which may be either a libc package or #f.)"
                                "--disable-decimal-float" ;would need libc
                                "--disable-libcilkrts"
 
+                              ;; On POWER9 (little endian) glibc needs the 128 bit long double type.
+                               "--with-long-double-128"
+
                                ;; When target is any OS other than 'none' these
                                ;; libraries will fail if there is no libc
                                ;; present. See
-- 
2.21.0


--------------261AF8478D583322BB67692C
Content-Type: text/x-patch; charset=UTF-8;
 name="0001-gnu-gcc-boot0-Enable-128-bit-long-double-for-POWER9.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename*0="0001-gnu-gcc-boot0-Enable-128-bit-long-double-for-POWER9.pat";
 filename*1="ch"

From 87b30dcb90572bd46c8eb087efe7d75db362f59b Mon Sep 17 00:00:00 2001
From: dftxbs3e <dftxbs3e@HIDDEN>
Date: Mon, 2 Dec 2019 19:58:19 +0100
Subject: [PATCH 1/2] gnu: gcc-boot0: Enable 128 bit long double for POWER9.

---
 gnu/packages/commencement.scm | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/gnu/packages/commencement.scm b/gnu/packages/commencement.scm
index 8bf7704598..bfdba4dbd2 100644
--- a/gnu/packages/commencement.scm
+++ b/gnu/packages/commencement.scm
@@ -1576,6 +1576,9 @@ exec " gcc "/bin/" program
                            "--disable-shared"
                            "--enable-languages=c,c++"
 
+                           ;; On POWER9 (little endian) glibc needs the 128 bit long double type.
+                           "--with-long-double-128"
+
                            ;; libstdc++ cannot be built at this stage
                            ;; ("Link tests are not allowed after
                            ;; GCC_NO_EXECUTABLES.").
-- 
2.21.0


--------------261AF8478D583322BB67692C--




Acknowledgement sent to dftxbs3e <dftxbs3e@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#38459; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 8 Dec 2019 02:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.